0

I am trying to build the latest emacs with pdumper, but I don't know if I am doing it right.

First I clone it from here https://git.savannah.gnu.org/git/emacs.git then checkout the pdumper branch. Then tried to configure it with just --without-makeinfo flag. Then it hit a point that it requires me a library then I retry it, then install again other libraries, until I reach this

checking for library containing tputs... no
configure: error: The required function 'tputs' was not found in any library.
The following libraries were tried (in order):
  libtinfo, libncurses, libterminfo, libcurses, libtermcap
Please try installing whichever of these libraries is most appropriate
for your system, together with its header files.
For example, a libncurses-dev(el) or similar package.

Then I wonder which one I need, and maybe I am installing libraries with features that I am not using. In the last resort, I want to ask what what flags should I pass to the ./configure and what libraries should I install first.

I am on Linux fedora-acer 4.16.5-200.fc27.x86_64 using gnome shell on xorg.

Thanks

0
1

I have not tried pdumper branch but for tputs, you need to install ncurses-devel

Following packages were required on f28 for successful compilation: autoconf texinfo gtk4-devel gtk+-devel libXaw-devel libtiff-devel giflib-devel jpeglib-devel gnutls-devel ncurses-devel

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.